/*
 *  GOL - Game of life simulation software
 *  Copyright (C) 1996 Michael Raymond Brown
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Michael Raymond Brown
 *  EMail:  michael@arrakeen.demon.co.uk
 *  WWW:    http://www.arrakeen.demon.co.uk/
 *  Address:  Michael Brown
 *            Kia Ora
 *            Brook Street
 *            Great Bromley
 *            Nr Colchester
 *            Essex
 *            CO7 7HX
 *            England
 */


#ifdef __GNUC__
#pragma implementation
#endif

#include "ArrowButton.h"

static inline unsigned char getType(int type)
   {switch (type)
       {case xwArrowButton::up:
	    return XmARROW_UP;
	case xwArrowButton::down:
	    return XmARROW_DOWN;
	case xwArrowButton::left:
	    return XmARROW_LEFT;
	default:
	    return XmARROW_RIGHT;
       }
   }

xwArrowButton::xwArrowButton(xwWidget* p, int direct, int border, int x1, int y1, int x2, int y2)
   {parent = p;
    widget = XtVaCreateManagedWidget("arrowbutton"
		, xmArrowButtonWidgetClass,	parent->getWidget()
		, XmNarrowDirection,		getType(direct)
		, XmNshadowThickness,		(Dimension)border

		, XmNleftAttachment,	XmATTACH_POSITION
		, XmNrightAttachment,	XmATTACH_POSITION
		, XmNtopAttachment,	XmATTACH_POSITION
		, XmNbottomAttachment,	XmATTACH_POSITION

		, XmNleftPosition,	x1
		, XmNrightPosition,	x2
		, XmNtopPosition,	y1
		, XmNbottomPosition,	y2

		, XmNalignment, XmALIGNMENT_CENTER

		, 0);
    init();
   }
xwArrowButton::xwArrowButton(xwWidget* p, int direct, int border)
   {parent = p;
    widget = XtVaCreateManagedWidget("arrowbutton"
		, xmArrowButtonWidgetClass,	parent->getWidget()
		, XmNarrowDirection,		getType(direct)
		, XmNshadowThickness,		(Dimension)border
		, XmNalignment,			XmALIGNMENT_CENTER
		, 0);
    init();
   }
xwArrowButton::~xwArrowButton()
   {
   }



